Last Comment Bug 748785 - Enable NPAPI Async drawing model by default on windows
: Enable NPAPI Async drawing model by default on windows
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: mozilla15
Assigned To: Bas Schouten (:bas.schouten)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 08:06 PDT by Bas Schouten (:bas.schouten)
Modified: 2013-12-27 14:37 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Enable NPAPI async drawing by default on windows (1.09 KB, patch)
2012-04-25 08:08 PDT, Bas Schouten (:bas.schouten)
jaas: review-
Details | Diff | Review
Enable NPAPI async drawing by default on windows v2 (1.41 KB, patch)
2012-04-25 08:44 PDT, Bas Schouten (:bas.schouten)
jaas: review+
Details | Diff | Review

Description Bas Schouten (:bas.schouten) 2012-04-25 08:06:57 PDT
Now that the NPAPI Async Drawing spec is approved we should enable the bitmap model by default on windows.
Comment 1 Bas Schouten (:bas.schouten) 2012-04-25 08:08:19 PDT
Created attachment 618268 [details] [diff] [review]
Enable NPAPI async drawing by default on windows
Comment 2 Josh Aas 2012-04-25 08:25:11 PDT
Why can't we enable the bitmap model on all platforms?
Comment 3 Josh Aas 2012-04-25 08:27:06 PDT
Comment on attachment 618268 [details] [diff] [review]
Enable NPAPI async drawing by default on windows

Review of attachment 618268 [details] [diff] [review]:
-----------------------------------------------------------------

I don't think this should be a pref, I think it should just be enabled in the code. If we need to be platform-specific we can put ifdefs in the negotiation code.
Comment 4 Bas Schouten (:bas.schouten) 2012-04-25 08:44:13 PDT
Created attachment 618288 [details] [diff] [review]
Enable NPAPI async drawing by default on windows v2

Updated as per IRC discussion.
Comment 5 :Ehsan Akhgari (busy, don't ask for review please) 2012-05-07 16:11:10 PDT
https://hg.mozilla.org/mozilla-central/rev/d318e7f08371

Note You need to log in before you can comment on or make changes to this bug.